%define rname	chan_sccp
%define name	asterisk-%{rname}
%define version	20050613

Summary:	Extended Skinny open source channel driver for the Asterisk PBX
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://chan-sccp.sourceforge.net/
Source0:	chan_sccp-%{version}.tar.bz2
Patch0:		chan_sccp-20050613-mdk_conf.diff
Patch1:		chan_sccp-20050613-missing_header_inclusion.diff
BuildRequires:	asterisk-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Extended Skinny open source channel driver for the Asterisk PBX.

%prep

%setup -q -n %{rname}-%{version}
%patch0 -p0
%patch1 -p0

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done
    
%build

%make RPM_OPT_FLAGS="%{optflags} -pipe -Wall -fPIC -DPIC"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/asterisk
install -d %{buildroot}%{_libdir}/asterisk

install -m0644 conf/sccp.conf %{buildroot}%{_sysconfdir}/asterisk/
install -m0644 conf/7960-tones.xml %{buildroot}%{_sysconfdir}/asterisk/
install -m0644 conf/XMLDefault.cnf.xml %{buildroot}%{_sysconfdir}/asterisk/
install -m0755 chan_sccp.so %{buildroot}%{_libdir}/asterisk/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CREDITS README README.devices contrib/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/sccp.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/7960-tones.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/XMLDefault.cnf.xml
%attr(0755,root,root) %{_libdir}/asterisk/chan_sccp.so

%changelog
* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 20050613-1mdk
- new snap (20050613)
- rediffed P0
- added P1 to make it compile against asterisk-1.2.x

* Sun May 01 2005 Oden Eriksson <oeriksson@mandriva.com> 20050501-1mdk
- new snap (adds support for Cisco 7970)
- rediff P0

* Tue Apr 05 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 20050404-1mdk
- initial package
